/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let CheckboxListDescription = /*@__PURE__*/ (() => {
    class CheckboxListDescription extends Description {
        get_type() {
            return "CheckboxList";
        }
        get type() {
            return this.get_type();
        }
        constructor() {
            super();
            this.h = null;
            this.i = null;
            this.ar = null;
            this.aq = null;
            this.ap = null;
            this.bg = null;
            this.ay = null;
            this.bf = null;
            this.at = null;
            this.a8 = null;
            this.ab = 0;
            this.ag = null;
            this.v = 0;
            this.ah = null;
            this.ai = null;
            this.au = null;
            this.af = null;
            this.as = null;
            this.a7 = null;
            this.a2 = null;
            this.n = false;
            this.a9 = null;
            this.a3 = null;
            this.a4 = null;
            this.x = 0;
            this.a5 = null;
            this.a6 = null;
            this.al = null;
            this.aj = null;
            this.am = null;
            this.ak = null;
            this.an = null;
            this.w = 0;
            this.a1 = null;
            this.a0 = null;
            this.ba = null;
            this.bb = null;
            this.ad = null;
            this.p = false;
            this.ae = null;
            this.az = null;
            this.bh = null;
            this.o = false;
            this.m = false;
            this.l = false;
            this.bd = null;
            this.be = null;
            this.ao = null;
            this.ax = null;
            this.av = null;
            this.aw = null;
            this.bc = null;
        }
        get keys() {
            return this.h;
        }
        set keys(a) {
            this.h = a;
            this.g("Keys");
        }
        get primaryKey() {
            return this.i;
        }
        set primaryKey(a) {
            this.i = a;
            this.g("PrimaryKey");
        }
        get dataSourceRef() {
            return this.ar;
        }
        set dataSourceRef(a) {
            this.ar = a;
            this.g("DataSourceRef");
        }
        get dataMemberPath() {
            return this.aq;
        }
        set dataMemberPath(a) {
            this.aq = a;
            this.g("DataMemberPath");
        }
        get dataLegendTargetRef() {
            return this.ap;
        }
        set dataLegendTargetRef(a) {
            this.ap = a;
            this.g("DataLegendTargetRef");
        }
        get subtitleMemberPath() {
            return this.bg;
        }
        set subtitleMemberPath(a) {
            this.bg = a;
            this.g("SubtitleMemberPath");
        }
        get propertyTypeMemberPath() {
            return this.ay;
        }
        set propertyTypeMemberPath(a) {
            this.ay = a;
            this.g("PropertyTypeMemberPath");
        }
        get selectedMemberPath() {
            return this.bf;
        }
        set selectedMemberPath(a) {
            this.bf = a;
            this.g("SelectedMemberPath");
        }
        get filterPlaceholderText() {
            return this.at;
        }
        set filterPlaceholderText(a) {
            this.at = a;
            this.g("FilterPlaceholderText");
        }
        get searchInputType() {
            return this.a8;
        }
        set searchInputType(a) {
            this.a8 = a;
            this.g("SearchInputType");
        }
        get rowHeight() {
            return this.ab;
        }
        set rowHeight(a) {
            this.ab = a;
            this.g("RowHeight");
        }
        get cellFontFamily() {
            return this.ag;
        }
        set cellFontFamily(a) {
            this.ag = a;
            this.g("CellFontFamily");
        }
        get cellFontSize() {
            return this.v;
        }
        set cellFontSize(a) {
            this.v = a;
            this.g("CellFontSize");
        }
        get cellFontStyle() {
            return this.ah;
        }
        set cellFontStyle(a) {
            this.ah = a;
            this.g("CellFontStyle");
        }
        get cellFontWeight() {
            return this.ai;
        }
        set cellFontWeight(a) {
            this.ai = a;
            this.g("CellFontWeight");
        }
        get indexType() {
            return this.au;
        }
        set indexType(a) {
            this.au = a;
            this.g("IndexType");
        }
        get baseTheme() {
            return this.af;
        }
        set baseTheme(a) {
            this.af = a;
            this.g("BaseTheme");
        }
        get density() {
            return this.as;
        }
        set density(a) {
            this.as = a;
            this.g("Density");
        }
        get searchIconColor() {
            return this.a7;
        }
        set searchIconColor(a) {
            this.a7 = a;
            this.g("SearchIconColor");
        }
        get searchBackgroundColor() {
            return this.a2;
        }
        set searchBackgroundColor(a) {
            this.a2 = a;
            this.g("SearchBackgroundColor");
        }
        get labelClickTriggersChange() {
            return this.n;
        }
        set labelClickTriggersChange(a) {
            this.n = a;
            this.g("LabelClickTriggersChange");
        }
        get searchTextColor() {
            return this.a9;
        }
        set searchTextColor(a) {
            this.a9 = a;
            this.g("SearchTextColor");
        }
        get searchBorderColor() {
            return this.a3;
        }
        set searchBorderColor(a) {
            this.a3 = a;
            this.g("SearchBorderColor");
        }
        get searchFontFamily() {
            return this.a4;
        }
        set searchFontFamily(a) {
            this.a4 = a;
            this.g("SearchFontFamily");
        }
        get searchFontSize() {
            return this.x;
        }
        set searchFontSize(a) {
            this.x = a;
            this.g("SearchFontSize");
        }
        get searchFontStyle() {
            return this.a5;
        }
        set searchFontStyle(a) {
            this.a5 = a;
            this.g("SearchFontStyle");
        }
        get searchFontWeight() {
            return this.a6;
        }
        set searchFontWeight(a) {
            this.a6 = a;
            this.g("SearchFontWeight");
        }
        get checkboxTickColor() {
            return this.al;
        }
        set checkboxTickColor(a) {
            this.al = a;
            this.g("CheckboxTickColor");
        }
        get checkboxCheckedBackgroundColor() {
            return this.aj;
        }
        set checkboxCheckedBackgroundColor(a) {
            this.aj = a;
            this.g("CheckboxCheckedBackgroundColor");
        }
        get checkboxUncheckedBackgroundColor() {
            return this.am;
        }
        set checkboxUncheckedBackgroundColor(a) {
            this.am = a;
            this.g("CheckboxUncheckedBackgroundColor");
        }
        get checkboxCheckedBorderColor() {
            return this.ak;
        }
        set checkboxCheckedBorderColor(a) {
            this.ak = a;
            this.g("CheckboxCheckedBorderColor");
        }
        get checkboxUncheckedBorderColor() {
            return this.an;
        }
        set checkboxUncheckedBorderColor(a) {
            this.an = a;
            this.g("CheckboxUncheckedBorderColor");
        }
        get checkboxCornerRadius() {
            return this.w;
        }
        set checkboxCornerRadius(a) {
            this.w = a;
            this.g("CheckboxCornerRadius");
        }
        get scrollbarStyle() {
            return this.a1;
        }
        set scrollbarStyle(a) {
            this.a1 = a;
            this.g("ScrollbarStyle");
        }
        get scrollbarBackground() {
            return this.a0;
        }
        set scrollbarBackground(a) {
            this.a0 = a;
            this.g("ScrollbarBackground");
        }
        get selectAllCaption() {
            return this.ba;
        }
        set selectAllCaption(a) {
            this.ba = a;
            this.g("SelectAllCaption");
        }
        get selectAllCaptionTextColor() {
            return this.bb;
        }
        set selectAllCaptionTextColor(a) {
            this.bb = a;
            this.g("SelectAllCaptionTextColor");
        }
        get actualSelectAllCaptionTextColor() {
            return this.ad;
        }
        set actualSelectAllCaptionTextColor(a) {
            this.ad = a;
            this.g("ActualSelectAllCaptionTextColor");
        }
        get showSelectAll() {
            return this.p;
        }
        set showSelectAll(a) {
            this.p = a;
            this.g("ShowSelectAll");
        }
        get backgroundColor() {
            return this.ae;
        }
        set backgroundColor(a) {
            this.ae = a;
            this.g("BackgroundColor");
        }
        get rowHoverBackgroundColor() {
            return this.az;
        }
        set rowHoverBackgroundColor(a) {
            this.az = a;
            this.g("RowHoverBackgroundColor");
        }
        get textColor() {
            return this.bh;
        }
        set textColor(a) {
            this.bh = a;
            this.g("TextColor");
        }
        get showFilter() {
            return this.o;
        }
        set showFilter(a) {
            this.o = a;
            this.g("ShowFilter");
        }
        get isRowHoverEnabled() {
            return this.m;
        }
        set isRowHoverEnabled(a) {
            this.m = a;
            this.g("IsRowHoverEnabled");
        }
        get checkboxAlignedRight() {
            return this.l;
        }
        set checkboxAlignedRight(a) {
            this.l = a;
            this.g("CheckboxAlignedRight");
        }
        get selectedKeyAddedRef() {
            return this.bd;
        }
        set selectedKeyAddedRef(a) {
            this.bd = a;
            this.g("SelectedKeyAddedRef");
        }
        get selectedKeyRemovedRef() {
            return this.be;
        }
        set selectedKeyRemovedRef(a) {
            this.be = a;
            this.g("SelectedKeyRemovedRef");
        }
        get checkedChangedRef() {
            return this.ao;
        }
        set checkedChangedRef(a) {
            this.ao = a;
            this.g("CheckedChangedRef");
        }
        get labelClickedRef() {
            return this.ax;
        }
        set labelClickedRef(a) {
            this.ax = a;
            this.g("LabelClickedRef");
        }
        get indexTypeChangedRef() {
            return this.av;
        }
        set indexTypeChangedRef(a) {
            this.av = a;
            this.g("IndexTypeChangedRef");
        }
        get keysClearedRef() {
            return this.aw;
        }
        set keysClearedRef(a) {
            this.aw = a;
            this.g("KeysClearedRef");
        }
        get selectAllCheckboxChangedRef() {
            return this.bc;
        }
        set selectAllCheckboxChangedRef(a) {
            this.bc = a;
            this.g("SelectAllCheckboxChangedRef");
        }
    }
    CheckboxListDescription.$t = /*@__PURE__*/ markType(CheckboxListDescription, 'CheckboxListDescription', Description.$);
    return CheckboxListDescription;
})();
